Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/reward_catalogues/string/revisions" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "expected_revision": "0", "name": "Rewards", "status": "disabled" }'{ "id": "string", "revision": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/reward_offer_versions/string/revocations" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "expected_version": 1 }'{ "id": "string", "version": 1, "revoked": true}Secret API key bound to an environment.
In: header
Query Parameters
length <= 81921 <= value <= 10050Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reward_catalogues"{ "data": [ { "id": "string", "revision": "string", "key": "string", "name": "string", "status": "active" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/reward_catalogues" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "key": "rewards", "name": "Rewards" }'{ "id": "string", "revision": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/reward_catalogues/string/offer_versions" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "key": "book", "version": 1, "terms": { "display": { "title": "Book" }, "currency_id": "cur_example", "cost_minor": "100", "quantity": 1, "eligibility": { "audience": [], "minimum_assurance": "authenticated_customer" }, "stock": { "type": "unlimited" }, "delivery": { "type": "manual" }, "quote_ttl_seconds": 300, "entitlement_ttl_seconds": null, "cancellation": "before_commitment" } }'{ "id": "string", "kind": "catalogue_offer", "catalogue_id": "string", "key": "string", "version": 1, "terms": { "display": { "title": "string", "description": "string" }, "currency_id": "string", "cost_minor": "string", "quantity": 1, "eligibility": { "audience": [ "string" ], "minimum_assurance": "anonymous", "minimum_tier": { "tier_program": "string", "min_level": "string" } }, "reward": { "key": "string", "version": 1, "digest": "string" }, "season": { "key": "string", "version": 1, "digest": "string" }, "stock": { "type": "unlimited" }, "delivery": { "type": "manual" }, "quote_ttl_seconds": 1, "entitlement_ttl_seconds": 1, "cancellation": "before_commitment", "discount": { "type": "fixed", "currency": "string", "amount_minor": "string", "maximum_minor": "string" } }, "digest": "string"}Secret API key bound to an environment.
In: header
Query Parameters
length <= 81921 <= value <= 10050Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reward_inventory"{ "data": [ { "id": "string", "available": "string", "revision": "string", "key": "string", "reserved": "string", "consumed": "string", "damaged": "string" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/reward_inventory" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "key": "books", "quantity": 10 }'{ "id": "string", "available": "string", "revision": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/reward_inventory/string/movements" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "expected_revision": "0", "quantity": 5 }'{ "id": "string", "available": "string", "revision": "string"}Secret API key bound to an environment.
In: header
Query Parameters
length <= 81921 <= value <= 10050Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reward_code_pools"{ "data": [ { "id": "string", "key": "string", "inventory_id": "string" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/reward_code_pools" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "key": "books" }'{ "id": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/reward_code_pools/string/imports" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "codes": [ "EXAMPLE-CODE" ] }'{ "pool_id": "string", "imported": 0}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/fulfillments/string/reconciliations" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "expected_revision": "0", "outcome": "fulfilled", "reason": "manual_fulfillment", "proof_digest": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa" }'{ "id": "string", "redemption_id": "string", "status": "string", "revision": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reward_catalogues/string"{ "id": "string", "revision": "string", "key": "string", "name": "string", "status": "active"}Secret API key bound to an environment.
In: header
Query Parameters
length <= 81921 <= value <= 100501 <= length <= 255Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reward_offer_versions"{ "data": [ { "id": "string", "kind": "catalogue_offer", "catalogue_id": "string", "key": "string", "version": 1, "terms": { "display": { "title": "string", "description": "string" }, "currency_id": "string", "cost_minor": "string", "quantity": 1, "eligibility": { "audience": [ "string" ], "minimum_assurance": "anonymous", "minimum_tier": { "tier_program": "string", "min_level": "string" } }, "reward": { "key": "string", "version": 1, "digest": "string" }, "season": { "key": "string", "version": 1, "digest": "string" }, "stock": { "type": "unlimited" }, "delivery": { "type": "manual" }, "quote_ttl_seconds": 1, "entitlement_ttl_seconds": 1, "cancellation": "before_commitment", "discount": { "type": "fixed", "currency": "string", "amount_minor": "string", "maximum_minor": "string" } }, "digest": "string" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reward_offer_versions/string"{ "id": "string", "kind": "catalogue_offer", "catalogue_id": "string", "key": "string", "version": 1, "terms": { "display": { "title": "string", "description": "string" }, "currency_id": "string", "cost_minor": "string", "quantity": 1, "eligibility": { "audience": [ "string" ], "minimum_assurance": "anonymous", "minimum_tier": { "tier_program": "string", "min_level": "string" } }, "reward": { "key": "string", "version": 1, "digest": "string" }, "season": { "key": "string", "version": 1, "digest": "string" }, "stock": { "type": "unlimited" }, "delivery": { "type": "manual" }, "quote_ttl_seconds": 1, "entitlement_ttl_seconds": 1, "cancellation": "before_commitment", "discount": { "type": "fixed", "currency": "string", "amount_minor": "string", "maximum_minor": "string" } }, "digest": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reward_inventory/string"{ "id": "string", "available": "string", "revision": "string", "key": "string", "reserved": "string", "consumed": "string", "damaged": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reward_code_pools/string"{ "id": "string", "key": "string", "inventory_id": "string"}Secret API key bound to an environment.
In: header
Query Parameters
length <= 81921 <= value <= 100501 <= length <= 255Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/fulfillments"{ "data": [ { "id": "string", "redemption_id": "string", "status": "string", "revision": "string", "customer_id": "string" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/fulfillments/string"{ "id": "string", "redemption_id": "string", "status": "string", "revision": "string", "customer_id": "string"}